ITypeInfo (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, interface: ITypeInfo

Package com.sun.jna.platform.win32.COM

# Interface ITypeInfo

All Superinterfaces:
  `IUnknown`

All Known Implementing Classes:
  `TypeInfo`, `TypeInfo.ByReference`

public interface ITypeInfo extends IUnknown
Wrapper class for the ITypeInfo interface.

Author:
  Tobias Wolf, wolf.tobias@gmx.net

- ## Field Summary

  ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `IID_IUNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinNT.HRESULT`
  `AddressOfMember(OaIdl.MEMBERID memid, OaIdl.INVOKEKIND invKind, PointerByReference ppv)`
  `WinNT.HRESULT`
  `CreateInstance(IUnknown pUnkOuter, Guid.REFIID riid, PointerByReference ppvObj)`
  `WinNT.HRESULT`
  `GetContainingTypeLib(PointerByReference ppTLib, WinDef.UINTByReference pIndex)`
  `WinNT.HRESULT`
  `GetDllEntry(OaIdl.MEMBERID memid, OaIdl.INVOKEKIND invKind, WTypes.BSTRByReference pBstrDllName, WTypes.BSTRByReference pBstrName, WinDef.WORDByReference pwOrdinal)`
  `WinNT.HRESULT`
  `GetDocumentation(OaIdl.MEMBERID memid, WTypes.BSTRByReference pBstrName, WTypes.BSTRByReference pBstrDocString, WinDef.DWORDByReference pdwHelpContext, WTypes.BSTRByReference pBstrHelpFile)`
  `WinNT.HRESULT`
  `GetFuncDesc(WinDef.UINT index, PointerByReference ppFuncDesc)`
  `WinNT.HRESULT`
  `GetIDsOfNames(WTypes.LPOLESTR[] rgszNames, WinDef.UINT cNames, OaIdl.MEMBERID[] pMemId)`
  `WinNT.HRESULT`
  `GetImplTypeFlags(WinDef.UINT index, IntByReference pImplTypeFlags)`
  `WinNT.HRESULT`
  `GetMops(OaIdl.MEMBERID memid, WTypes.BSTRByReference pBstrMops)`
  `WinNT.HRESULT`
  `GetNames(OaIdl.MEMBERID memid, WTypes.BSTR[] rgBstrNames, WinDef.UINT cMaxNames, WinDef.UINTByReference pcNames)`
  `WinNT.HRESULT`
  `GetRefTypeInfo(OaIdl.HREFTYPE hRefType, PointerByReference ppTInfo)`
  `WinNT.HRESULT`
  `GetRefTypeOfImplType(WinDef.UINT index, OaIdl.HREFTYPEByReference pRefType)`
  `WinNT.HRESULT`
  `GetTypeAttr(PointerByReference ppTypeAttr)`
  `WinNT.HRESULT`
  `GetTypeComp(PointerByReference ppTComp)`
  `WinNT.HRESULT`
  `GetVarDesc(WinDef.UINT index, PointerByReference ppVarDesc)`
  `WinNT.HRESULT`
  `Invoke(WinDef.PVOID pvInstance, OaIdl.MEMBERID memid, WinDef.WORD wFlags, OleAuto.DISPPARAMS.ByReference pDispParams, Variant.VARIANT.ByReference pVarResult, OaIdl.EXCEPINFO.ByReference pExcepInfo, WinDef.UINTByReference puArgErr)`
  `void`
  `ReleaseFuncDesc(OaIdl.FUNCDESC pFuncDesc)`
  `void`
  `ReleaseTypeAttr(OaIdl.TYPEATTR pTypeAttr)`
  `void`
  `ReleaseVarDesc(OaIdl.VARDESC pVarDesc)`

  ### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `AddRef, QueryInterface, Release`

- ## Method Details

  - ### GetTypeAttr

    WinNT.HRESULT GetTypeAttr(PointerByReference ppTypeAttr)

  - ### GetTypeComp

    WinNT.HRESULT GetTypeComp(PointerByReference ppTComp)

  - ### GetFuncDesc

    WinNT.HRESULT GetFuncDesc(WinDef.UINT index, PointerByReference ppFuncDesc)

  - ### GetVarDesc

    WinNT.HRESULT GetVarDesc(WinDef.UINT index, PointerByReference ppVarDesc)

  - ### GetNames

    WinNT.HRESULT GetNames(OaIdl.MEMBERID memid, WTypes.BSTR[] rgBstrNames, WinDef.UINT cMaxNames, WinDef.UINTByReference pcNames)

  - ### GetRefTypeOfImplType

    WinNT.HRESULT GetRefTypeOfImplType(WinDef.UINT index, OaIdl.HREFTYPEByReference pRefType)

  - ### GetImplTypeFlags

    WinNT.HRESULT GetImplTypeFlags(WinDef.UINT index, IntByReference pImplTypeFlags)

  - ### GetIDsOfNames

    WinNT.HRESULT GetIDsOfNames(WTypes.LPOLESTR[] rgszNames, WinDef.UINT cNames, OaIdl.MEMBERID[] pMemId)

  - ### Invoke

    WinNT.HRESULT Invoke(WinDef.PVOID pvInstance, OaIdl.MEMBERID memid, WinDef.WORD wFlags, OleAuto.DISPPARAMS.ByReference pDispParams, Variant.VARIANT.ByReference pVarResult, OaIdl.EXCEPINFO.ByReference pExcepInfo, WinDef.UINTByReference puArgErr)

  - ### GetDocumentation

    WinNT.HRESULT GetDocumentation(OaIdl.MEMBERID memid, WTypes.BSTRByReference pBstrName, WTypes.BSTRByReference pBstrDocString, WinDef.DWORDByReference pdwHelpContext, WTypes.BSTRByReference pBstrHelpFile)

  - ### GetDllEntry

    WinNT.HRESULT GetDllEntry(OaIdl.MEMBERID memid, OaIdl.INVOKEKIND invKind, WTypes.BSTRByReference pBstrDllName, WTypes.BSTRByReference pBstrName, WinDef.WORDByReference pwOrdinal)

  - ### GetRefTypeInfo

    WinNT.HRESULT GetRefTypeInfo(OaIdl.HREFTYPE hRefType, PointerByReference ppTInfo)

  - ### AddressOfMember

    WinNT.HRESULT AddressOfMember(OaIdl.MEMBERID memid, OaIdl.INVOKEKIND invKind, PointerByReference ppv)

  - ### CreateInstance

    WinNT.HRESULT CreateInstance(IUnknown pUnkOuter, Guid.REFIID riid, PointerByReference ppvObj)

  - ### GetMops

    WinNT.HRESULT GetMops(OaIdl.MEMBERID memid, WTypes.BSTRByReference pBstrMops)

  - ### GetContainingTypeLib

    WinNT.HRESULT GetContainingTypeLib(PointerByReference ppTLib, WinDef.UINTByReference pIndex)

  - ### ReleaseTypeAttr

    void ReleaseTypeAttr(OaIdl.TYPEATTR pTypeAttr)

  - ### ReleaseFuncDesc

    void ReleaseFuncDesc(OaIdl.FUNCDESC pFuncDesc)

  - ### ReleaseVarDesc

    void ReleaseVarDesc(OaIdl.VARDESC pVarDesc)